# frozen_string_literal: true

require 'logger'
require 'gs_img_fetcher/version'
require 'gs_img_fetcher/fetcher'
require 'gs_img_fetcher/entry'
require 'gs_img_fetcher/entry_set'
require 'gs_img_fetcher/manager'

module GsImgFetcher
  LOGGER = Logger.new(ENV['NOLOG'] ? '/dev/null' : STDOUT).tap { |l| l.level = Logger::INFO }

  class Error < StandardError; end
end
